Skip to content

GET TLS Report Summary.

GET
/api/observability/synthetic_monitor/namespaces/{namespace}/tls-report-summary
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/observability/synthetic_monitor/namespaces/example/tls-report-summary \
--header 'Authorization: <Authorization>'

Returns the TLS report summary including grade, score, and protocol names.

Examples of this operation.

namespace
required
string

Namespace Request namespace.

monitor_name
string

Monitor_name. X-required Monitor name.

A successful response.

Media typeapplication/json
GetTLSReportSummaryResponse

Grade, score, and supported protocols from TLS scan of monitor endpoint.

object
grade
grade

Letter grade of TLS report.

string
<= 1024 characters
grade_reason
grade_reason

Reason behind TLS report grade.

string
<= 1024 characters
protocols
protocols

{ “protocol”: “SSLv2”, “detail”: “not offered (OK)” }, { “protocol”: “SSLv3”, “detail”: “not offered (OK)” } List of TLS protocols supported by endpoint.

Array<object>
MonitorTLSReportSummaryProtocol

Response of Monitor TLS Report Summary.

object
detail
detail

Detail on TLS protocol support.

string
<= 1024 characters
protocol
protocol

TLS protocol.

string
<= 1024 characters
score
score

Score value of TLS report.

string
<= 1024 characters
Examplegenerated
{
"grade": "example",
"grade_reason": "example",
"protocols": [
{
"detail": "example",
"protocol": "example"
}
],
"score": "example"
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example